Package fr.gouv.vitam.common.model

# Class ItemStatus

java.lang.Object
fr.gouv.vitam.common.model.ItemStatus

public class ItemStatus extends Object
Composite Item Status

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Map<String,Object>`
  `data`
  `protected String`
  `message`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ItemStatus()`
  `ItemStatus(String itemId)`
  Constructor
  `ItemStatus(String itemId, String message, StatusCode globalStatus, List<Integer> statusMeter, Map<String,Object> data, LinkedHashMap<String,ItemStatus> itemsStatus, ProcessState globalState, List<ValidationError> validationErrors)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clearStatusMeterFatal()`
  `void`
  `clearValidationErrors()`
  `String`
  `computeStatusMeterMessage()`
  `ItemStatus`
  `disableLfc()`
  `Map<String,Object>`
  `getData()`
  Deprecated.
  `Object`
  `getData(String key)`
  `String`
  `getEvDetailData()`
  `String`
  `getGlobalOutcomeDetailSubcode()`
  `ProcessState`
  `getGlobalState()`
  Get the global state
  `StatusCode`
  `getGlobalStatus()`
  `String`
  `getItemId()`
  `Map<String,ItemStatus>`
  `getItemsStatus()`
  `String`
  `getLogbookTypeProcess()`
  `Map<String,Object>`
  `getMasterData()`
  `String`
  `getMessage()`
  `List<Integer>`
  `getStatusMeter()`
  `LinkedHashMap<String,ItemStatus>`
  `getSubTaskStatus()`
  `List<ValidationError>`
  `getValidationErrors()`
  `protected static ItemStatus`
  `increment(ItemStatus itemStatus1, ItemStatus itemStatus2)`
  `ItemStatus`
  `increment(StatusCode statusCode)`
  `ItemStatus`
  `increment(StatusCode statusCode, int increment)`
  `ItemStatus`
  `increment(StatusCode statusCode, ValidationError... validationErrors)`
  `boolean`
  `isLifecycleEnable()`
  `void`
  `reinitStatusMeter()`
  Reinit all the values of this statusMeter to 0
  `ItemStatus`
  `setData(String key, Object value)`
  `ItemStatus`
  `setEvDetailData(String evDetailData)`
  set EvDetailData
  `ItemStatus`
  `setGlobalOutcomeDetailSubcode(String globalOutcomeDetailSubcode)`
  `ItemStatus`
  `setGlobalState(ProcessState globalState)`
  `ItemStatus`
  `setItemId(String itemId)`
  `ItemStatus`
  `setItemsStatus(ItemStatus compositeItemStatus)`
  `ItemStatus`
  `setItemsStatus(String itemId, ItemStatus statusDetails)`
  `ItemStatus`
  `setItemsStatus(String itemId, ItemStatus statusDetails, StatusAggregationBehavior statusAggregationBehavior)`
  `ItemStatus`
  `setLogbookTypeProcess(String logbookTypeProcess)`
  `ItemStatus`
  `setMasterData(String key, Object value)`
  `ItemStatus`
  `setMessage(String message)`
  `void`
  `setStatusMeterValue(StatusCode statusCode, Integer value)`
  Set the value of the specified statusCode in this statusMeter
  `ItemStatus`
  `setSubTasksStatus(Map<String,ItemStatus> tasks)`
  `ItemStatus`
  `setSubTaskStatus(String taskId, ItemStatus taskStatus)`
  `boolean`
  `shallStop(boolean blocking)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### message

    protected String message

  - ### data

    protected Map<String,Object> data

- ## Constructor Details

  - ### ItemStatus

    public ItemStatus()

  - ### ItemStatus

    public ItemStatus(String itemId, String message, StatusCode globalStatus, List<Integer> statusMeter, Map<String,Object> data, LinkedHashMap<String,ItemStatus> itemsStatus, ProcessState globalState, List<ValidationError> validationErrors)

  - ### ItemStatus

    public ItemStatus(String itemId)
    Constructor
    Parameters:
      `itemId` -

- ## Method Details

  - ### getMessage

    public String getMessage()
    Returns:
      the message

  - ### setMessage

    public ItemStatus setMessage(String message)
    Parameters:
      `message` - the message to set
    Returns:
      this

  - ### getItemId

    public String getItemId()
    Returns:
      the itemId

  - ### setItemId

    public ItemStatus setItemId(String itemId)
    Parameters:
      `itemId` - the itemId to set
    Returns:
      this

  - ### getStatusMeter

    public List<Integer> getStatusMeter()
    Returns:
      the statusMeter

  - ### increment

    public ItemStatus increment(StatusCode statusCode)
    Parameters:
      `statusCode` - the statusCode to increment
    Returns:
      this

  - ### increment

    public ItemStatus increment(StatusCode statusCode, int increment)
    Parameters:
      `statusCode` - the statusCode to increment
      `increment` - increment
    Returns:
      this

  - ### increment

    public ItemStatus increment(StatusCode statusCode, ValidationError... validationErrors)
    Parameters:
      `statusCode` - the statusCode to increment
      `validationErrors` - list of validation errors
    Returns:
      this

  - ### increment

    protected static ItemStatus increment(ItemStatus itemStatus1, ItemStatus itemStatus2)
    Parameters:
      `itemStatus1` - the statusCode to increment
      `itemStatus2` -
    Returns:
      this

  - ### getGlobalStatus

    public StatusCode getGlobalStatus()
    Returns:
      the globalStatus

  - ### getData

    public Object getData(String key)
    Returns:
      the data

  - ### getData

    @Deprecated public Map<String,Object> getData()
    Deprecated.
    Returns:

  - ### setData

    public ItemStatus setData(String key, Object value)
    Parameters:
      `key` -
      `value` -
    Returns:
      this

  - ### getMasterData

    public Map<String,Object> getMasterData()
    Returns:
      masterData

  - ### setMasterData

    public ItemStatus setMasterData(String key, Object value)

  - ### computeStatusMeterMessage

    public String computeStatusMeterMessage()
    Returns:
      String message

  - ### getItemsStatus

    public Map<String,ItemStatus> getItemsStatus()
    Returns:
      the itemsStatus

  - ### setItemsStatus

    public ItemStatus setItemsStatus(String itemId, ItemStatus statusDetails)

  - ### setItemsStatus

    public ItemStatus setItemsStatus(String itemId, ItemStatus statusDetails, StatusAggregationBehavior statusAggregationBehavior)

  - ### setItemsStatus

    public ItemStatus setItemsStatus(ItemStatus compositeItemStatus)
    Parameters:
      `compositeItemStatus` -
    Returns:
      this

  - ### getGlobalState

    public ProcessState getGlobalState()
    Get the global state
    Returns:
      globalState as type ProcessState

  - ### setGlobalState

    public ItemStatus setGlobalState(ProcessState globalState)
    Parameters:
      `globalState` - the golbal state to set
    Returns:
      this

  - ### shallStop

    public boolean shallStop(boolean blocking)
    Parameters:
      `blocking` - True if the step or handler is blocking
    Returns:
      True if this item shall stop the Step or Handler

  - ### getSubTaskStatus

    public LinkedHashMap<String,ItemStatus> getSubTaskStatus()
    Returns:
      the subTaskStatus

  - ### setSubTaskStatus

    public ItemStatus setSubTaskStatus(String taskId, ItemStatus taskStatus)
    Parameters:
      `taskId` - the taskId to set
      `taskStatus` - the taskStatus to set
    Returns:
      this

  - ### setSubTasksStatus

    public ItemStatus setSubTasksStatus(Map<String,ItemStatus> tasks)

  - ### getEvDetailData

    public String getEvDetailData()
    Returns:
      evDetailData

  - ### setEvDetailData

    public ItemStatus setEvDetailData(String evDetailData)
    set EvDetailData
    Parameters:
      `evDetailData` -
    Returns:
      this

  - ### getLogbookTypeProcess

    public String getLogbookTypeProcess()

  - ### setLogbookTypeProcess

    public ItemStatus setLogbookTypeProcess(String logbookTypeProcess)

  - ### getGlobalOutcomeDetailSubcode

    public String getGlobalOutcomeDetailSubcode()

  - ### setGlobalOutcomeDetailSubcode

    public ItemStatus setGlobalOutcomeDetailSubcode(String globalOutcomeDetailSubcode)

  - ### isLifecycleEnable

    public boolean isLifecycleEnable()

  - ### disableLfc

    public ItemStatus disableLfc()

  - ### setStatusMeterValue

    public void setStatusMeterValue(StatusCode statusCode, Integer value)
    Set the value of the specified statusCode in this statusMeter
    Parameters:
      `statusCode` -
      `value` -

  - ### reinitStatusMeter

    public void reinitStatusMeter()
    Reinit all the values of this statusMeter to 0

  - ### clearStatusMeterFatal

    public void clearStatusMeterFatal()

  - ### getValidationErrors

    public List<ValidationError> getValidationErrors()

  - ### clearValidationErrors

    public void clearValidationErrors()